## org.codehaus.plexus.component.repository.exception
Class ComponentProfileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.component.repository.exception.ComponentProfileException

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentProfileException

extends java.lang.Exception

Exception that is thrown when the class(es) required for a component implementation are not available.

Version:
  $Id: ComponentProfileException.java 5457 2007-01-17 22:54:30Z eredmond $
Author:
  Jason van Zyl
See Also:
  Serialized Form

Constructor Summary
`ComponentProfileException(java.lang.String message)` Construct a new `ComponentProfileException` instance.
`ComponentProfileException(java.lang.String message, java.lang.Throwable cause)` Construct a new `ComponentProfileException` instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentProfileException

    public ComponentProfileException(java.lang.String message)

  Construct a new `ComponentProfileException` instance.

  Parameters:
    `message` - exception message

### ComponentProfileException

    public ComponentProfileException(java.lang.String message,
                                     java.lang.Throwable cause)

  Construct a new `ComponentProfileException` instance.

  Parameters:
    `message` - exception message
    `cause` - causing exception to chain

Copyright © 2011. All Rights Reserved.